# Copyright (C) 2021 MicroSys Electronics GmbH
# Author: Kay Potthoff <kay.potthoff@microsys.de>

FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"
PATCHTOOL = "git"
PATCH_COMMIT_FUNCTIONS = "1"

#URL    = "git://github.com/MicroSysElectronics/arm-trusted-firmware;protocol=https"
#BRANCH = "microsys-s32-bsp34.0"
#SRCREV = "b8b42a323fcda6410179eef52cfb475025263194"

SRCREV = "08ef0179cff364150f98c1257ffaae15272c21bd"
SRC_URI += "file://atf.patch"

PROVIDES += "virtual/arm-trusted-firmware"

inherit deploy

PACKAGE_ARCH ??= "${MACHINE_ARCH}"

do_compile[depends] = "u-boot-s32:do_install"

python do_patch_prepend() {
    if d.getVar('PATCHTOOL') == 'git':
        srcsubdir = d.getVar('S')
        bb.process.run('git config am.threeWay true', cwd=srcsubdir)
        bb.process.run('git config am.keepcr true', cwd=srcsubdir)
        bb.process.run('git config apply.whitespace fix', cwd=srcsubdir)
        bb.process.run('git config apply.ignoreWhitespace change', cwd=srcsubdir)
}

PLATFORM ?= "${MACHINE}"
ATF_PLAT ?= "${MACHINE}"

COMPATIBLE_MACHINE .= "|(mpxs32g)"

# The package is empty which leads to problems when
# building the image with devtool. This fix lets devtool
# build the image with modified arm-trusted-firmware.
ALLOW_EMPTY_${PN} = "1"

# Set log-level:
#       0  (LOG_LEVEL_NONE)
#       10 (LOG_LEVEL_ERROR)
#       20 (LOG_LEVEL_NOTICE)
#       30 (LOG_LEVEL_WARNING)
#       40 (LOG_LEVEL_INFO)
#       50 (LOG_LEVEL_VERBOSE)
# Default is LOG_LEVEL_INFO (40):
#EXTRA_OEMAKE += "LOG_LEVEL=40"

# Uncomment these lines for more debugging:
#BUILD_TYPE = "debug"
#EXTRA_OEMAKE += "S32G_USE_LINFLEX_IN_BL31=1 DEBUG=1"

do_compile_prepend() {
	BUILD_STRING=`cat ${S}/localversion-microsys`
	export BUILD_STRING
}
